﻿using System;
using System.Collections.Generic;
using System.Text;

using Autodesk.AutoCAD.Runtime;
using Autodesk.AutoCAD.ApplicationServices;
// You must use COM to access the AutoCAD Preferences
// http://docs.autodesk.com/ACD/2010/ENU/AutoCAD%20.NET%20Developer%27s%20Guide/index.html?url=WS1a9193826455f5ff2566ffd511ff6f8c7ca-43d3.htm,topicNumber=d0e8745
using Autodesk.AutoCAD.Interop; 

namespace Autodesk.Custom
{
    public class ChangeBackground
    {
        [CommandMethod("CHANGEBACKGROUND")]
        public void ExecuteChangeBackground()
        {
            // Need the AutoCAD application (for Com)
            IAcadApplication acadApp = (IAcadApplication) System.Runtime.InteropServices.Marshal.GetActiveObject("AutoCAD.Application");
            // Use the com object to get the preferences object
            AcadPreferences acPrefComObj = (AcadPreferences)acadApp.Preferences;

            // White 16777215 = FFF in Hex
            // Black 0

            if (acPrefComObj.Display.GraphicsWinModelBackgrndColor == 0)
            {
                acPrefComObj.Display.GraphicsWinModelBackgrndColor = 16777215;
                acPrefComObj.Display.ModelCrosshairColor = 0;
            }
            else
            {
                acPrefComObj.Display.GraphicsWinModelBackgrndColor = 0;
                acPrefComObj.Display.ModelCrosshairColor = 16777215;
            }
            
            return;
        }
    }
}
